1. Devices
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Devices

Index

Developing
GET
http://127.0.0.1:8000/api/devices
Retrieves a list of all devices registered in the system.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/devices' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "data": [
        {
            "id": 1,
            "name": "Firewall Main",
            "IP address": "192.168.1.1",
            "operating system": "Linux",
            "status": "active"
        },
        {
            "id": 2,
            "name": "Database Server",
            "IP address": "192.168.1.20",
            "operating system": "Ubuntu Server",
            "status": "active"
        },
        {
            "id": 3,
            "name": "Windows Endpoint",
            "IP address": "192.168.1.50",
            "operating system": "Windows 11",
            "status": "maintenance"
        }
    ]
}
Modified at 2026-06-19 14:29:02
Previous
Delete
Next
Show
Built with